/******************************************************************************
* File name:
*   MyInput.java
* Author:
*   Barham, Ray
*
* Creation Date: 
*   3/25/2007
*
* Developed on:
*   WinXP
* Developed with: 
*   Java(TM) SE Development Kit 6
*   JCreator 4.00.028 
*
* Description: 
*   See class description below.
******************************************************************************/

// Import statements
import java.io.*;

/******************************************************************************
* Class Name:
*   ConsoleInput
* Base Class:
*   None
* Class Description:
*   This class is used as an interface for user input from the console.
******************************************************************************/
public class ConsoleInput
{
	/**************************************************************************
	* Method Name:
	*   readString
	* Arguments Passed:
	*   None
	* Data Returned:
	*   String = a string of input from the console
	* Method Description:
	*   This method returns a string of input from the console.
	**************************************************************************/
	public static String readString()
	{
		BufferedReader bufferedReader = new BufferedReader(
			new InputStreamReader(System.in));
		
		String line = "";
		
		try
		{
			line = bufferedReader.readLine();
		}
		catch (IOException e)
		{
			System.out.println(e);
		}
		
		return line;
	}
	
	/**************************************************************************
	* Method Name:
	*   readByte
	* Arguments Passed:
	*   None
	* Data Returned:
	*   byte = the byte value of the input
	* Method Description:
	*   This method returns the byte value of the input entered from the
	*   console.  The input entered must be of decimal digits except for the 
	*   first which can be '-'.
	**************************************************************************/
	public static byte readByte()
	{
		return Byte.parseByte(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readShort
	* Arguments Passed:
	*   None
	* Data Returned:
	*   short = the short value of the input
	* Method Description:
	*   This method returns the short value of the input entered from the
	*   console.  The input entered must be of decimal digits except for the 
	*   first which can be '-'.
	**************************************************************************/
	public static short readShort()
	{
		return Short.parseShort(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readInt
	* Arguments Passed:
	*   None
	* Data Returned:
	*   int = the int value of the input
	* Method Description:
	*   This method returns the int value of the input entered from the
	*   console.  The input entered must be of decimal digits except for the 
	*   first which can be '-'.
	**************************************************************************/
	public static int readInt()
	{
		return Integer.parseInt(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readLong
	* Arguments Passed:
	*   None
	* Data Returned:
	*   long = the long value of the input
	* Method Description:
	*   This method returns the long value of the input entered from the
	*   console.  The input entered must be of decimal digits except for the 
	*   first which can be '-'.
	**************************************************************************/
	public static long readLong()
	{
		return Long.parseLong(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readFloat
	* Arguments Passed:
	*   None
	* Data Returned:
	*   float = the float value of the input
	* Method Description:
	*   This method returns the float value of the input entered from the
	*   console.
	**************************************************************************/
	public static float readFloat()
	{
		return Float.parseFloat(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readDouble
	* Arguments Passed:
	*   None
	* Data Returned:
	*   double = the double value of the input
	* Method Description:
	*   This method returns the double value of the input entered from the
	*   console.
	**************************************************************************/
	public static double readDouble()
	{
		return Double.parseDouble(readString());
	}
	
	/**************************************************************************
	* Method Name:
	*   readChar
	* Arguments Passed:
	*   None
	* Data Returned:
	*   char = the first character of input
	* Method Description:
	*   This method returns the char value of the input entered from the
	*   console.  It will return the first character entered.
	**************************************************************************/
	public static char readChar()
	{
		return readString().charAt(0);
	}
}